Description

From time to time | need to compile a program and close my ssh session, and doing this will kill all running processes spawned from
the session it was created from. Luckily there is a handy tool called tmux that will keep processes launched from within the tmux
session from dying, even after logging out (as long as the system is running).

h1 Tmux

Install tmux

¢ On Debian/Ubuntu
apt—-get install tmux
e On Arch
pacman —-S tmux
® On FreeBSD

pkg install tmux

Running tmux

e Once installed, spawn a tmux session:
tmux
* Now run what ever process that takes a long time:

cd /usr/src/project
make

[ ]

Then reattach the session to view its progress:

tmux attach

[ ]

To list the running tmux sessions, run:
While the process is running press Ctrl + b, then d.
tmux list-sessions

Screen

Install screen

® On Debian/Ubuntu

apt—-get install screen
® On Arch

pacman —-S screen
e On FreeBSD

pkg install screen

Running screen

e Once installed, spawn a tmux session:
SCreen
e Now run what ever process that takes a long time:

cd /usr/src/project
make

* While the process is running press Cirl + a, then d.

¢ Then reattach the session to view its progress:

screen -—-r

History

#1 - 01/02/2015 05:21 PM - Daniel Curtis
- Description updated

- Status changed from New to Resolved

#2 - 01/15/2015 02:41 PM - Daniel Curtis
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

#3 - 03/22/2015 01:22 PM - Daniel Curtis

- Subject changed from Run Processes Detatched From The Terminal to Running Detatched Terminal Sessions

- Description updated
